org.apache.hadoop.hdfs.server.namenode

## Class FixedBlockMultiReplicaResolver

- java.lang.Object
- - org.apache.hadoop.hdfs.server.namenode.BlockResolver
  - - org.apache.hadoop.hdfs.server.namenode.FixedBlockResolver
    - - org.apache.hadoop.hdfs.server.namenode.FixedBlockMultiReplicaResolver

- All Implemented Interfaces:
    Configurable

      @InterfaceAudience.Public
       @InterfaceStability.Unstable
      public class FixedBlockMultiReplicaResolver
      extends FixedBlockResolver

  Resolver mapping all files to a configurable, uniform blocksize and replication.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `REPLICATION`

    - ### Fields inherited from class org.apache.hadoop.hdfs.server.namenode.FixedBlockResolver

      `BLOCKSIZE, BLOCKSIZE_DEFAULT, START_BLOCK`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FixedBlockMultiReplicaResolver()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getReplication(FileStatus s)`
    `void` | `setConf(Configuration conf)` Set the configuration to be used by this object.

    - ### Methods inherited from class org.apache.hadoop.hdfs.server.namenode.FixedBlockResolver

      `blockLengths, getConf, lastId, nextId, preferredBlockSize`

    - ### Methods inherited from class org.apache.hadoop.hdfs.server.namenode.BlockResolver

      `buildBlock, buildBlock, resolve`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### REPLICATION

          public static final String REPLICATION

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### FixedBlockMultiReplicaResolver

          public FixedBlockMultiReplicaResolver()

  - ### Method Detail

    - #### setConf

          public void setConf(Configuration conf)

      Description copied from interface: `Configurable`
      Set the configuration to be used by this object.
      Specified by:
        `setConf` in interface `Configurable`
      Overrides:
        `setConf` in class `FixedBlockResolver`

    - #### getReplication

          public int getReplication(FileStatus s)

      Overrides:
        `getReplication` in class `FixedBlockResolver`
      Parameters:
        `s` - the external reference.
      Returns:
        the replication to assign to this external reference.

Copyright © 2022 Apache Software Foundation. All rights reserved.